I am currently trying to use Android Support 20.0.0 to prototype Android Wear in Android Studio. I have the following set of dependencies:

dependencies {
compile 'org.apache.httpcomponents:httpclient-android:4.3.3'
compile 'com.wu-man:android-oauth-client:0.0.3'
compile 'com.mcxiaoke.volley:library-aar:1.0.0'
compile 'com.google.code.gson:gson:2.2.4'
compile 'org.apache.httpcomponents:httpmime:4.3.5'
compile 'com.googlecode.json-simple:json-simple:1.1'
compile 'com.google.android.gms:play-services:4.+'
compile 'com.android.support:support-v4:20.0.0'
compile 'com.android.support:support-v13:20.0.0'
}

I have also downloaded the latest support libs via the sdk manager. For some reason, gradle continues to download "support-v4-r7", and outdated release from 2012. I cannot for the life of me figure out why, and have attempted every possible iteration of cleaning/rebuilding I can think of. Does anyone know a surefire way to get Gradle and Android Studio to load the new jars?

Related posts

Recent Viewed